import type { JSX } from '../../stencil-public-runtime';
import type { CustomClassPropType, KoliBriPaginationButtonCallbacks, LabelPropType, MaxPropType, PaginationAPI, PaginationHasButton, PaginationStates, Stringified, TooltipAlignPropType } from '../../schema';
export declare class KolPaginationWc implements PaginationAPI {
    private readonly host?;
    private readonly translatePageFirst;
    private readonly translatePageBack;
    private readonly translatePageNext;
    private readonly translatePageLast;
    private readonly translateEntriesPerSite;
    private readonly translatePage;
    private readonly translatePagination;
    private readonly calcCount;
    private readonly getCount;
    private getPageStart;
    private getPageEnd;
    render(): JSX.Element;
    _boundaryCount?: number;
    _customClass?: CustomClassPropType;
    _label?: LabelPropType;
    _hasButtons?: boolean | Stringified<PaginationHasButton>;
    _page: number;
    _pageSize: number;
    _pageSizeOptions: Stringified<number[]>;
    _on: KoliBriPaginationButtonCallbacks;
    _siblingCount?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _max: MaxPropType;
    state: PaginationStates;
    private onClick;
    private onChangePage;
    private onChangePageSize;
    private readonly onGoToFirst;
    private readonly onGoToEnd;
    private readonly onGoBackward;
    private readonly onGoForward;
    private getUnselectedPageButton;
    private getSelectedPageButton;
    validateBoundaryCount(value?: number): void;
    validateCustomClass(value?: CustomClassPropType): void;
    validateLabel(label?: LabelPropType, _oldValue?: LabelPropType, initial?: boolean): void;
    validateHasButtons(value?: string | boolean | Stringified<PaginationHasButton>): void;
    validateOn(value?: KoliBriPaginationButtonCallbacks): void;
    validatePage(value?: number): void;
    private beforePageSize;
    private syncPage;
    private beforePageSizeOptions;
    validatePageSize(value?: number): void;
    validatePageSizeOptions(value?: Stringified<number[]>): void;
    validateSiblingCount(value?: number): void;
    validateMax(value?: MaxPropType): void;
    validateTooltipAlign(value?: TooltipAlignPropType): void;
    componentWillLoad(): void;
    disconnectedCallback(): void;
}
